BasicScrollPaneUI.MouseWheelHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicScrollPaneUI.MouseWheelHandler class
Date: 2020-03-26

javax.swing.plaf.basic

## Class BasicScrollPaneUI.MouseWheelHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicScrollPaneUI.MouseWheelHandler

- All Implemented Interfaces:
    MouseWheelListener, EventListener
  Enclosing class:
    BasicScrollPaneUI

      protected class BasicScrollPaneUI.MouseWheelHandler
      extends Object
      implements MouseWheelListener

  MouseWheelHandler is an inner class which implements the MouseWheelListener interface. MouseWheelHandler responds to MouseWheelEvents by scrolling the JScrollPane appropriately. If the scroll pane's `isWheelScrollingEnabled` method returns false, no scrolling occurs.
  Since:
    1.4
  See Also:
    `JScrollPane.isWheelScrollingEnabled()`, `BasicScrollPaneUI.createMouseWheelListener()`, `MouseWheelListener`, `MouseWheelEvent`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MouseWheelHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseWheelMoved(MouseWheelEvent e)` Called when the mouse wheel is rotated while over a JScrollPane.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MouseWheelHandler

          protected MouseWheelHandler()

  - ### Method Detail

    - #### mouseWheelMoved

          public void mouseWheelMoved(MouseWheelEvent e)

      Called when the mouse wheel is rotated while over a JScrollPane.
      Specified by:
        `mouseWheelMoved` in interface `MouseWheelListener`
      Parameters:
        `e` - MouseWheelEvent to be handled
      Since:
        1.4
      See Also:
        `MouseWheelEvent`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.